//
//  FlipsideViewController.m
//  flipview
//
//  Created by Piotr Orzechowski on 10-09-09.
//  Copyright __MyCompanyName__ 2010. All rights reserved.
//

#import "FlipsideViewController.h"

@implementation FlipsideViewController

@synthesize delegate;
@synthesize testNumber;


- (void)viewDidLoad {
    [super viewDidLoad];
    self.view.backgroundColor = [UIColor viewFlipsideBackgroundColor];  
    
}


- (IBAction)done:(id)sender {
	[self.delegate flipsideViewControllerDidFinish:self selectedItem:testNumber];	
}



- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}


- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
	// Return YES for supported orientations
	return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/


- (void)dealloc {
    [super dealloc];
}

#pragma mark -
#pragma mark table handling

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    return 3;
}


- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return 3;
}



- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    
    static NSString *MyIdentifier = @"MyIdentifier";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:MyIdentifier];
    if (cell == nil) {
        cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:MyIdentifier] autorelease];
    }
    
	
	cell.textLabel.text = [NSString stringWithFormat:@"row:%d  " @"section:%d ",(int)indexPath.row,(int)indexPath.section];
	
	
    cell.accessoryType = UITableViewCellAccessoryDisclosureIndicator;
	
    return cell;
}


- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {

	
	NSUInteger wybranyWiersz=(int)indexPath.row;
	NSInteger wybranaSekcja=(int)[indexPath section];
	testNumber=wybranyWiersz;
	
	[[NSNotificationCenter defaultCenter] postNotificationName:@"zmienLabelSekcji" object:[NSString stringWithFormat:@"%d",wybranaSekcja]];
	
	
	NSLog([NSString stringWithFormat:@"%d	",wybranyWiersz]);
	NSLog([NSString stringWithFormat:@"%d	",wybranaSekcja]);
	
	[self done:self];


}

@end
