//
//  MainViewController.m
//  flipview
//
//  Created by Piotr Orzechowski on 10-09-09.
//  Copyright __MyCompanyName__ 2010. All rights reserved.
//

#import "MainViewController.h"


@implementation MainViewController


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
	[[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(zmienLabelSekcjiMethod:) name:@"zmienLabelSekcji" object:nil];
	[super viewDidLoad];
}

-(void)zmienLabelSekcjiMethod:(id)sender {
	labelsekcji.text = (NSString *)[sender object];
}

- (void)flipsideViewControllerDidFinish:(FlipsideViewController *)controller selectedItem:(NSInteger)selectedItem{
    
	mySelectedRow.text=[NSString stringWithFormat:@"%d" ,selectedItem];
	[self dismissModalViewControllerAnimated:YES];
}


- (IBAction)showInfo:(id)sender {    
	
	FlipsideViewController *controller = [[FlipsideViewController alloc] initWithNibName:@"FlipsideView" bundle:nil];
	controller.delegate = self;
	
	//controller.modalTransitionStyle = UIModalTransitionStyleFlipHorizontal;
	[self presentModalViewController:controller animated:YES];
	
	[controller release];
}



- (BOOL)textField:(UITextField *)textField shouldChangeCharactersInRange:(NSRange)range replacementString:(NSString *)string
{
	
	// here we check if field size is not exceeding required field size
	NSArray *dlugosciStringow = [NSArray arrayWithObjects:@"8", @"5", @"3", nil];	
	NSInteger textFieldId=textField.tag;
	
	NSString *maxLength=[dlugosciStringow objectAtIndex:textFieldId];
	
	if (textField.text.length >= [maxLength intValue] && range.length == 0)
	{
		return NO; // return NO to not change text
	}
	else
	{return YES;}
	
	return YES;
}


- (BOOL)textFieldShouldReturn:(UITextField *)textField
{
    [textField endEditing:NO];
    return YES;
}

- (IBAction)linkPressed
{
	[[UIApplication sharedApplication] openURL:[NSURL URLWithString:@"http://iphone.orpi.pl"]];
	
}

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc. that aren't in use.
}


- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
	// Return YES for supported orientations.
	return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/


- (void)dealloc {
	[[NSNotificationCenter defaultCenter] removeObserver:self];
    [super dealloc];
}




@end
